org.richfaces.renderkit.html.iconimages

## Class PanelIconBasic

- java.lang.Object
- - org.richfaces.resource.AbstractJava2DUserResource
  - - org.richfaces.renderkit.html.iconimages.PanelIconBasic

- All Implemented Interfaces:
    org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource
  Direct Known Subclasses:
    PanelIconChevronBasic, PanelIconDisc, PanelIconGrid, PanelIconTriangleBasic

      public abstract class PanelIconBasic
      extends org.richfaces.resource.AbstractJava2DUserResource
      implements org.richfaces.resource.StateHolderResource

  Author:
    Alex.Kolonitsky

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PanelIconBasic()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize()`
    `boolean` | `isTransient()`
    `void` | `paint(Graphics2D graphics2D)`
    `protected abstract void` | `paintImage(Graphics2D g2d, Color color)`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `setDisabled(boolean topIcon)`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

    - ### Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource

      `getDimension, getImageType, getLastModified, getResponseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PanelIconBasic

          protected PanelIconBasic()

  - ### Method Detail

    - #### paint

          public void paint(Graphics2D graphics2D)

      Specified by:
        `paint` in interface `org.richfaces.resource.Java2DUserResource`

    - #### paintImage

          protected abstract void paintImage(Graphics2D g2d,
                        Color color)

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `org.richfaces.resource.StateHolderResource`

    - #### initialize

          public void initialize()

    - #### setDisabled

          public void setDisabled(boolean topIcon)

    - #### writeState

          public void writeState(javax.faces.context.FacesContext context,
                        DataOutput dataOutput)
                          throws IOException

      Specified by:
        `writeState` in interface `org.richfaces.resource.StateHolderResource`
      Throws:
        `IOException`

    - #### readState

          public void readState(javax.faces.context.FacesContext context,
                       DataInput dataInput)
                         throws IOException

      Specified by:
        `readState` in interface `org.richfaces.resource.StateHolderResource`
      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All rights reserved.